
ThreatFactor NSIA - Feature #230

Pagination on Exceptions List

10/25/2010 12:01 PM - Luke Murphey

Status: Closed Start date: 11/11/2010

Priority: Normal Due date: 11/13/2010

Assignee: Luke Murphey % Done: 100%

Category: Web Interface Estimated time: 0.00 hour

Target version: 1.0.1   

Description

Related issues:

Related to ThreatFactor NSIA - Feature #186: Additional Pagination on Scan Re... New

History

#1 - 10/26/2010 01:00 AM - Luke Murphey

- Assignee set to Luke Murphey

#2 - 10/26/2010 01:21 AM - Luke Murphey

- Due date set to 11/30/2010

- Start date changed from 10/25/2010 to 11/30/2010

#3 - 10/27/2010 11:21 AM - Luke Murphey

May use the offset clause in Apache Derby to do pagination (also supported in MySQL) but not supported in MS-SQL.

JDBC also has methods for setting the absolute row ID in the cursor (using ResultSet.absolute). Another option is to use the CachedRowSet (within

the com.sun.rowset.CachedRowSetImp namespace).

#4 - 10/27/2010 11:21 AM - Luke Murphey

Note: if new SQL commands are required, then the Database Requirements page must be updated

#5 - 11/01/2010 11:54 PM - Luke Murphey

- Category set to Web Interface

#6 - 11/02/2010 01:25 PM - Luke Murphey

- Start date changed from 11/30/2010 to 11/29/2010

#7 - 11/03/2010 10:03 PM - Luke Murphey

- Due date changed from 11/30/2010 to 11/12/2010

- Start date changed from 11/29/2010 to 11/11/2010

#8 - 11/04/2010 12:35 AM - Luke Murphey

- Due date changed from 11/12/2010 to 11/13/2010

#9 - 11/04/2010 10:37 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
http://db.apache.org/derby/docs/10.6/ref/rrefsqljoffsetfetch.html#rrefsqljoffsetfetch
http://dev.mysql.com/doc/refman/5.0/en/select.html
http://stackoverflow.com/questions/187998/row-offset-in-ms-sql-server
http://forums.sun.com/thread.jspa?threadID=5438161
http://www.theserverside.com/discussions/thread.tss?thread_id=35306
http://onjava.com/pub/a/onjava/2004/06/23/cachedrowset.html
https://lukemurphey.net/projects/nsia/wiki/Database_Requirements
http://www.tcpdf.org

